Bug 1299346 - deadlock on connection mutex
deadlock on connection mutex
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: 389-ds-base (Show other bugs)
7.2
All Linux
urgent Severity urgent
: rc
: ---
Assigned To: Noriko Hosoi
Viktor Ashirov
: ZStream
Depends On: 1278755
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-18 02:48 EST by Jan Kurik
Modified: 2016-02-16 05:50 EST (History)
7 users (show)

See Also:
Fixed In Version: 389-ds-base-1.3.4.0-26.el7_2
Doc Type: Bug Fix
Doc Text:
Previously, an unnecessary lock was sometimes acquired on a connection object, which could consequently cause a deadlock. A patch has been applied to remove the unnecessary locking, and the deadlock no longer occurs.
Story Points: ---
Clone Of: 1278755
Environment:
Last Closed: 2016-02-16 05:50:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan Kurik 2016-01-18 02:48:30 EST
This bug has been copied from bug #1278755 and has been proposed
to be backported to 7.2 z-stream (EUS).
Comment 6 Amita Sharma 2016-02-04 03:15:43 EST
I have repeated this procedure and it works fine ::

[root@dhcp201-151 yum.repos.d]# ipa-server-install --ip-address 10.65.201.151 -r testrelm.test -p 'Secret123' -a 'Secret123' --setup-dns --forwarder 10.65.201.89 -U
.
.
.
.
Be sure to back up the CA certificates stored in /root/cacert.p12
These files are required to create replicas. The password for these
files is the Directory Manager password


[root@dhcp201-151 yum.repos.d]# ipa-server-install --uninstall

This is a NON REVERSIBLE operation and will delete all data and configuration!

Are you sure you want to continue with the uninstall procedure? [no]: yes
Shutting down all IPA services
Removing IPA client configuration
Unconfiguring ntpd
Configuring certmonger to stop tracking system certificates for KRA
Configuring certmonger to stop tracking system certificates for CA
Unconfiguring CA
Unconfiguring named
Unconfiguring ipa-dnskeysyncd
Unconfiguring web server
Unconfiguring krb5kdc
Unconfiguring kadmin
Unconfiguring directory server
Unconfiguring ipa_memcached
Unconfiguring ipa-otpd
[root@dhcp201-151 yum.repos.d]# rpm -qa | grep 389
389-ds-base-libs-1.3.4.0-26.el7_2.x86_64
389-ds-base-1.3.4.0-26.el7_2.x86_64

Hence marking this bug as verified.
Comment 8 errata-xmlrpc 2016-02-16 05:50:49 EST
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2016-0204.html

Note You need to log in before you can comment on or make changes to this bug.